Index: /trunk/configure.ac
===================================================================
--- /trunk/configure.ac	(revision 53)
+++ /trunk/configure.ac	(revision 54)
@@ -13,5 +13,5 @@
 dnl start
 dnl
-AM_INIT_AUTOMAKE(samhain, 2.2.2)
+AM_INIT_AUTOMAKE(samhain, 2.2.3)
 AC_CANONICAL_HOST
 
Index: /trunk/docs/Changelog
===================================================================
--- /trunk/docs/Changelog	(revision 53)
+++ /trunk/docs/Changelog	(revision 54)
@@ -4,4 +4,6 @@
 	* fix stealth mode (regression in parser), problem reported by 
 	  Joschi Kuphal
+	* fix minor typo in sh_database.c (compile problem reported by
+	  Joschi Kuphal)
 
 2.2.2 (17-07-2006)
Index: /trunk/src/sh_database.c
===================================================================
--- /trunk/src/sh_database.c	(revision 53)
+++ /trunk/src/sh_database.c	(revision 54)
@@ -1427,5 +1427,5 @@
 
 #ifdef SH_STEALTH
-  int     j, k;
+  int     k;
 
   if (first == S_FALSE)
@@ -1448,4 +1448,7 @@
 
 #else
+
+  if (first == S_FALSE)
+    return;
 
   i = 0;
Index: /trunk/test/testcompile.sh
===================================================================
--- /trunk/test/testcompile.sh	(revision 53)
+++ /trunk/test/testcompile.sh	(revision 54)
@@ -20,5 +20,5 @@
 #
 
-MAXTEST=57; export MAXTEST
+MAXTEST=61; export MAXTEST
 
 run_flawfinder ()
@@ -253,4 +253,5 @@
 	    log_skip $num $MAXTEST 'gpg not in PATH'
             let "num = num + 1" >/dev/null
+	    log_skip $num $MAXTEST 'gpg not in PATH'
 	else
 	    if test -r "Makefile"; then
@@ -314,4 +315,20 @@
 
 	#
+	# test standalone compilation w/mysql and stealth
+	#
+	TEST="${S}standalone w/mysql+stealth${E}"
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-xml-log --enable-stealth=128 --with-database=mysql  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log
+	#
+	let "num = num + 1" >/dev/null
+	testmake $? $num "skip" || let "numfail = numfail + 1" >/dev/null
+	let "num = num + 1" >/dev/null
+	run_smatch $? $num || let "numfail = numfail + 1"  >/dev/null
+
+	#
 	# test standalone compilation w/postgresql
 	#
@@ -323,4 +340,20 @@
 	#
 	${TOP_SRCDIR}/configure --quiet --enable-xml-log --with-database=postgresql  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log
+	#
+	let "num = num + 1" >/dev/null
+	testmake $? $num "skip" || let "numfail = numfail + 1" >/dev/null
+	let "num = num + 1" >/dev/null
+	run_smatch $? $num || let "numfail = numfail + 1"  >/dev/null
+
+	#
+	# test standalone compilation w/postgresql+stealth
+	#
+	TEST="${S}standalone w/postgresql+stealth${E}"
+	#
+	if test -r "Makefile"; then
+		$MAKE clean
+	fi
+	#
+	${TOP_SRCDIR}/configure --quiet --enable-xml-log --enable-stealth=128 --with-database=postgresql  --prefix=$PW_DIR --localstatedir=$PW_DIR --with-config-file=$PW_DIR/samhainrc.test > /dev/null 2>> test_log
 	#
 	let "num = num + 1" >/dev/null
@@ -400,5 +433,10 @@
 	if [ -z "$GPG" ]; then
 	    log_skip $num $MAXTEST 'gpg not in PATH'
-	    let "num = num + 3" >/dev/null
+	    let "num = num + 1" >/dev/null
+	    log_skip $num $MAXTEST 'gpg not in PATH'
+	    let "num = num + 1" >/dev/null
+	    log_skip $num $MAXTEST 'gpg not in PATH'
+	    let "num = num + 1" >/dev/null
+	    log_skip $num $MAXTEST 'gpg not in PATH'
 	else
 	    if test -r "Makefile"; then
